#!/bin/bash

if [ $# = 0 ]; then
	echo ""
	echo "USAGE:   clean_tmps.sh min_existence"
	echo ""
	echo "EXAMPLE: clean_tmps.sh 16h22m"
	echo ""
	exit 1
fi


time=$1
are_hours=`echo $time | sed -n '/h/ p'`

if [ "$are_hours" != "" ] ; then
    hours=${time%h*}
    mins=${time#*h}
    mins=${mins%m}
else
    hours=0
    mins=${time%m} 
fi

t=$(( hours*60+mins ))

for c in `qhost | sed '1,3 d' | awk '{ if($4 != "-") print $1 }'` ; do
	echo $c
	ssh $c 'find /tmp/schwarzp -depth -user '$USER' -cmin "+'$t'" -exec bash -c "if [ -d {} ] ; then rmdir {} ; else rm -f {} ; fi" \; &'
done